//
//  ChecklistItem.h
//  Checklists
//
//  Created by Su Sheng Loong on 12/24/12.
//  Copyright (c) 2012 Su Sheng Loong. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface ChecklistItem : NSObject <NSCoding>

@property (nonatomic, copy) NSString *text;
@property (nonatomic, assign) BOOL checked;
@property (nonatomic, copy) NSDate *dueDate;
@property (nonatomic, assign) BOOL shouldRemind;
@property (nonatomic, assign) int itemId;

- (void)toggleChecked;
- (void)scheduleNotification;

@end
